Bug 443588 - Review Request: fig2sxd - fig to sxd converter
Summary: Review Request: fig2sxd - fig to sxd converter
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-22 12:51 UTC by Paul F. Johnson
Modified: 2008-07-08 18:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 18:01:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rc040203: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Paul F. Johnson 2008-04-22 12:51:13 UTC
Spec URL: http://pfj.fedorapeople.org/fig2sxd.spec
SRPM URL: http://pfj.fedorapeople.org/fig2sxd-0.17-1.fc9.src.rpm
Description: fig2sxd is a converter from fig to OpenOffice sxd formats. It can be used by itself or as a plugin for chemtool (automatically detected when chemtool starts up)

Comment 1 Ralf Corsepius 2008-04-25 13:57:50 UTC
Package doesn't build:
* Missing deps:
...
In file included from zipwrite.cpp:21
: zipwrite.h:29:18: error: zlib.h: No such file or directory  
...
Likely a missing dep on zlib-devel.


* Package doesn't honor RPM_OPT_FLAGS:
....
g++ -Wall -W -O2 -g  -o fig2sxd.o -c fig2sxd.cpp  
g++ -Wall -W -O2 -g  -o xfig_arc.o -c xfig_arc.cpp


Comment 2 Ralf Corsepius 2008-05-10 06:20:04 UTC
Ping? 


Comment 3 Paul F. Johnson 2008-05-13 07:57:25 UTC
Sorry - been working on a few other things as well. I've fixed the zlib-devel
requirement, but the makefile isn't a standard GNU makefile so passing
RPM_OPT_FLAGS isn't making a difference.

I'm talking upstream to see if the author will fix this or if I have to.

Comment 4 Paul F. Johnson 2008-05-13 12:36:05 UTC
Spec URL: http://pfj.fedorapeople.org/fig2sxd.spec
SRPM URL: http://pfj.fedorapeople.org/fig2sxd-0.17-2.fc9.src.rpm

Fixed the makefile not honouring $(CFLAGS) as well as the zlib-devel bit.


Comment 5 Paul F. Johnson 2008-05-19 09:09:21 UTC
Spec URL: http://pfj.fedorapeople.org/fig2sxd.spec
SRPM URL: http://pfj.fedorapeople.org/fig2sxd-0.18-1.fc10.src.rpm

Includes a fix for the padding problem


Comment 6 Ralf Corsepius 2008-05-20 10:36:22 UTC
APPROVED, provided you fix one outstanding MUSTFIX:

* Change Source0 into a downloads.sourceforge.net-rooted URL, similar to this:
http://downloads.sourceforge.net/%{name}/%{name}_%{version}.orig.tar.gz


Comment 7 Paul F. Johnson 2008-05-20 11:15:33 UTC
Fixed :-)

New Package CVS Request
=======================
Package Name: fig2sxd
Short Description: Converts fig files to sxd (OpenOffice)
Owners: pfj
Branches: f8, f9, rawhide
InitialCC: 
Cvsextras Commits: yes


Comment 8 Kevin Fenzi 2008-05-20 16:03:58 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.